Open SCAP Library

Functions
scap_ds.h File Reference
DS

Open-scap Data Stream interface. More...

`#include "oscap.h"`

Go to the source code of this file.

## Functions
int | ds_sds_decompose (const char *input_file, const char *id, const char *xccdf_id, const char *target_dir, const char *target_filename)
| takes given source data stream and decomposes it into separate files More...
int | ds_sds_decompose_custom (const char *input_file, const char *id, const char *target_dir, const char *container_name, const char *component_id, const char *target_filename)
| same as ds_sds_decompose but works with other components than just XCCDFs More...
int | ds_sds_compose_from_xccdf (const char *xccdf_file, const char *target_datastream)
| takes given xccdf file and constructs a source datastream More...
int | ds_sds_compose_add_component (const char *target_datastream, const char *datastream_id, const char *new_component, bool extended)
| append a new given component to the existing source datastream More...
int | ds_rds_decompose (const char *input_file, const char *report_id, const char *request_id, const char *target_dir)
int | ds_rds_create (const char *sds_file, const char *xccdf_result_file, const char **oval_result_files, const char *target_file)
| takes given source data stream and XCCDF result file and makes a result data stream More...
int | ds_sds_index_select_checklist (struct ds_sds_index *s, const char **datastream_id, const char **component_id)
| chooses datastream and checklist id combination given the IDs More...
int | ds_sds_index_select_checklist_by_benchmark_id (struct ds_sds_index *s, const char *benchmark_id, const char **datastream_id, const char **component_ref_id)
| chooses datastream and checklist component ref ID combination, given benchmark ID More...
struct rds_report_request_index * | rds_report_request_index_new (void)
void | rds_report_request_index_free (struct rds_report_request_index *s)
const char * | rds_report_request_index_get_id (struct rds_report_request_index *s)
struct rds_asset_index * | rds_asset_index_new (void)
void | rds_asset_index_free (struct rds_asset_index *s)
const char * | rds_asset_index_get_id (struct rds_asset_index *s)
void | rds_asset_index_add_report_ref (struct rds_asset_index *s, struct rds_report_index *report)
struct rds_report_index_iterator * | rds_asset_index_get_reports (struct rds_asset_index *s)
struct rds_report_index * | rds_report_index_new (void)
void | rds_report_index_free (struct rds_report_index *s)
const char * | rds_report_index_get_id (struct rds_report_index *s)
void | rds_report_index_set_request (struct rds_report_index *s, struct rds_report_request_index *request)
struct rds_report_request_index * | rds_report_index_get_request (struct rds_report_index *s)

## Detailed Description

Open-scap Data Stream interface.

Author
  Martin Preisler mprei.nosp@m.sle@.nosp@m.redha.nosp@m.t.co.nosp@m.m